

' VB6/VBA declare statements for NAG C Library DLL Mark 26
' Copyright 2016, Numerical Algorithms Group Ltd, Oxford, UK.
' chapter c02

   Declare Sub c02afc Lib "CLW3226DE_nag.dll" ( _
    ByVal n As long, _
    ByRef a As Complex, _
    ByVal dnscale As Nag_Boolean, _
    ByRef z As Complex, _
    ByRef fail As NagError _
   )


   Declare Sub c02agc Lib "CLW3226DE_nag.dll" ( _
    ByVal n As long, _
    ByRef a As double, _
    ByVal dnscale As Nag_Boolean, _
    ByRef z As Complex, _
    ByRef fail As NagError _
   )


   Declare Sub c02akc Lib "CLW3226DE_nag.dll" ( _
    ByVal u As double, _
    ByVal r As double, _
    ByVal s As double, _
    ByVal t As double, _
    ByRef zeror As double, _
    ByRef zeroi As double, _
    ByRef errest As double, _
    ByRef fail As NagError _
   )


   Declare Sub c02alc Lib "CLW3226DE_nag.dll" ( _
    ByVal e As double, _
    ByVal a As double, _
    ByVal b As double, _
    ByVal c As double, _
    ByVal d As double, _
    ByRef zeror As double, _
    ByRef zeroi As double, _
    ByRef errest As double, _
    ByRef fail As NagError _
   )


' chapter c05

' skeleton code for callback function
'  Function c05auc_f( _
'      ByVal x As double, _
'      ByRef comm As Nag_Comm _
'    ) As double
'      ' your code here
'  End Function

   Declare Sub c05auc Lib "CLW3226DE_nag.dll" ( _
    ByRef x As double, _
    ByVal h As double, _
    ByVal eps As double, _
    ByVal eta As double, _
    ByVal f As Long, _
    ByRef a As double, _
    ByRef b As double, _
    ByRef comm As Nag_Comm, _
    ByRef fail As NagError _
   )


   Declare Sub c05avc Lib "CLW3226DE_nag.dll" ( _
    ByRef x As double, _
    ByVal fx As double, _
    ByRef h As double, _
    ByVal boundl As double, _
    ByVal boundu As double, _
    ByRef y As double, _
    ByRef c As double, _
    ByRef ind As long, _
    ByRef fail As NagError _
   )


' skeleton code for callback function
'  Function c05awc_f( _
'      ByVal x As double, _
'      ByRef comm As Nag_Comm _
'    ) As double
'      ' your code here
'  End Function

   Declare Sub c05awc Lib "CLW3226DE_nag.dll" ( _
    ByRef x As double, _
    ByVal eps As double, _
    ByVal eta As double, _
    ByVal f As Long, _
    ByVal nfmax As long, _
    ByRef comm As Nag_Comm, _
    ByRef fail As NagError _
   )


   Declare Sub c05axc Lib "CLW3226DE_nag.dll" ( _
    ByRef x As double, _
    ByVal fx As double, _
    ByVal tol As double, _
    ByVal ir As Nag_ErrorControl, _
    ByVal scal As double, _
    ByRef c As double, _
    ByRef ind As long, _
    ByRef fail As NagError _
   )


' skeleton code for callback function
'  Function c05ayc_f( _
'      ByVal x As double, _
'      ByRef comm As Nag_Comm _
'    ) As double
'      ' your code here
'  End Function

   Declare Sub c05ayc Lib "CLW3226DE_nag.dll" ( _
    ByVal a As double, _
    ByVal b As double, _
    ByVal eps As double, _
    ByVal eta As double, _
    ByVal f As Long, _
    ByRef x As double, _
    ByRef comm As Nag_Comm, _
    ByRef fail As NagError _
   )


   Declare Sub c05azc Lib "CLW3226DE_nag.dll" ( _
    ByRef x As double, _
    ByRef y As double, _
    ByVal fx As double, _
    ByVal tolx As double, _
    ByVal ir As Nag_ErrorControl, _
    ByRef c As double, _
    ByRef ind As long, _
    ByRef fail As NagError _
   )


   Declare Function c05bac Lib "CLW3226DE_nag.dll" ( _
    ByVal x As double, _
    ByVal branch As long, _
    ByVal offset As Nag_Boolean, _
    ByRef fail As NagError _
   ) As double


   Declare Sub c05bbc Lib "CLW3226DE_nag.dll" ( _
    ByVal branch As long, _
    ByVal offset As Nag_Boolean, _
    ByVal zRe as Double, ByVal zIm as Double, _
    ByRef w As Complex, _
    ByRef resid As double, _
    ByRef fail As NagError _
   )


' skeleton code for callback function
'  Sub c05qbc_fcn( _
'      ByVal n As long, _
'      ByVal x_rptr As Long, _
'      ByVal fvec_rptr As Long, _
'      ByRef comm As Nag_Comm, _
'      ByRef iflag As long _
'    )
'      ' your code here
'  End Sub

   Declare Sub c05qbc Lib "CLW3226DE_nag.dll" ( _
    ByVal fcn As Long, _
    ByVal n As long, _
    ByRef x As double, _
    ByRef fvec As double, _
    ByVal xtol As double, _
    ByRef comm As Nag_Comm, _
    ByRef fail As NagError _
   )


' skeleton code for callback function
'  Sub c05qcc_fcn( _
'      ByVal n As long, _
'      ByVal x_rptr As Long, _
'      ByVal fvec_rptr As Long, _
'      ByRef comm As Nag_Comm, _
'      ByRef iflag As long _
'    )
'      ' your code here
'  End Sub

   Declare Sub c05qcc Lib "CLW3226DE_nag.dll" ( _
    ByVal fcn As Long, _
    ByVal n As long, ByRef x As double, _
    ByRef fvec As double, ByVal xtol As double, ByVal maxfev As long, _
    ByVal ml As long, ByVal mu As long, ByVal epsfcn As double, _
    ByVal scale_mode As Nag_ScaleType, ByRef diag As double, ByVal factor As double, _
    ByVal nprint As long, ByRef nfev As long, ByRef fjac As double, _
    ByRef r As double, ByRef qtf As double, _
    ByRef comm As Nag_Comm, ByRef fail As NagError _
   )


   Declare Sub c05qdc Lib "CLW3226DE_nag.dll" ( _
    ByRef irevcm As long, _
    ByVal n As long, _
    ByRef x As double, _
    ByRef fvec As double, _
    ByVal xtol As double, _
    ByVal ml As long, _
    ByVal mu As long, _
    ByVal epsfcn As double, _
    ByVal scale_mode As Nag_ScaleType, _
    ByRef diag As double, _
    ByVal factor As double, _
    ByRef fjac As double, _
    ByRef r As double, _
    ByRef qtf As double, _
    ByRef iwsav As long, _
    ByRef rwsav As double, _
    ByRef fail As NagError _
   )


' skeleton code for callback function
'  Sub c05qsc_fcn( _
'      ByVal n As long, _
'      ByVal lindf As long, _
'      ByVal indf_iptr As Long, _
'      ByVal x_rptr As Long, _
'      ByVal fvec_rptr As Long, _
'      ByRef comm As Nag_Comm, _
'      ByRef iflag As long _
'    )
'      ' your code here
'  End Sub

   Declare Sub c05qsc Lib "CLW3226DE_nag.dll" ( _
    ByVal fcn As Long, _
    ByVal n As long, _
    ByRef x As double, _
    ByRef fvec As double, _
    ByVal xtol As double, _
    ByVal init As Nag_Boolean, _
    ByRef rcomm As double, _
    ByVal lrcomm As long, _
    ByRef icomm As long, _
    ByVal licomm As long, _
    ByRef comm As Nag_Comm, _
    ByRef fail As NagError _
   )


' skeleton code for callback function
'  Sub c05rbc_fcn( _
'      ByVal n As long, _
'      ByVal x_rptr As Long, _
'      ByVal fvec_rptr As Long, _
'      ByVal fjac_rptr As Long, _
'      ByRef comm As Nag_Comm, _
'      ByRef iflag As long _
'    )
'      ' your code here
'  End Sub

   Declare Sub c05rbc Lib "CLW3226DE_nag.dll" ( _
    ByVal fcn As Long, _
    ByVal n As long, _
    ByRef x As double, _
    ByRef fvec As double, _
    ByRef fjac As double, _
    ByVal xtol As double, _
    ByRef comm As Nag_Comm, _
    ByRef fail As NagError _
   )


' skeleton code for callback function
'  Sub c05rcc_fcn( _
'      ByVal n As long, _
'      ByVal x_rptr As Long, _
'      ByVal fvec_rptr As Long, _
'      ByVal fjac_rptr As Long, _
'      ByRef comm As Nag_Comm, _
'      ByRef iflag As long _
'    )
'      ' your code here
'  End Sub

   Declare Sub c05rcc Lib "CLW3226DE_nag.dll" ( _
    ByVal fcn As Long, _
    ByVal n As long, _
    ByRef x As double, _
    ByRef fvec As double, _
    ByRef fjac As double, _
    ByVal xtol As double, _
    ByVal maxfev As long, _
    ByVal scale_mode As Nag_ScaleType, _
    ByRef diag As double, _
    ByVal factor As double, _
    ByVal nprint As long, _
    ByRef nfev As long, _
    ByRef njev As long, _
    ByRef r As double, _
    ByRef qtf As double, _
    ByRef comm As Nag_Comm, _
    ByRef fail As NagError _
   )


   Declare Sub c05rdc Lib "CLW3226DE_nag.dll" ( _
    ByRef irevcm As long, _
    ByVal n As long, _
    ByRef x As double, _
    ByRef fvec As double, _
    ByRef fjac As double, _
    ByVal xtol As double, _
    ByVal scale_mode As Nag_ScaleType, _
    ByRef diag As double, _
    ByVal factor As double, _
    ByRef r As double, _
    ByRef qtf As double, _
    ByRef iwsav As long, _
    ByRef rwsav As double, _
    ByRef fail As NagError _
   )


   Declare Sub c05zdc Lib "CLW3226DE_nag.dll" ( _
    ByVal mode As long, _
    ByVal m As long, _
    ByVal n As long, _
    ByRef x As double, _
    ByRef fvec As double, _
    ByRef fjac As double, _
    ByRef xp As double, _
    ByRef fvecp As double, _
    ByRef err As double, _
    ByRef fail As NagError _
   )


' chapter c06

   Declare Sub c06dcc Lib "CLW3226DE_nag.dll" ( _
    ByRef x As double, _
    ByVal lx As long, _
    ByVal xmin As double, _
    ByVal xmax As double, _
    ByRef c As double, _
    ByVal n As long, _
    ByVal s As Nag_Series, _
    ByRef res As double, _
    ByRef fail As NagError _
   )


   Declare Sub c06fkc Lib "CLW3226DE_nag.dll" ( _
    ByVal job As Nag_VectorOp, _
    ByRef x As double, _
    ByRef y As double, _
    ByVal n As long, _
    ByRef fail As NagError _
   )


   Declare Sub c06fpc Lib "CLW3226DE_nag.dll" ( _
    ByVal m As long, _
    ByVal n As long, _
    ByRef x As double, _
    ByRef trig As double, _
    ByRef fail As NagError _
   )


   Declare Sub c06fqc Lib "CLW3226DE_nag.dll" ( _
    ByVal m As long, _
    ByVal n As long, _
    ByRef x As double, _
    ByRef trig As double, _
    ByRef fail As NagError _
   )


   Declare Sub c06gqc Lib "CLW3226DE_nag.dll" ( _
    ByVal m As long, _
    ByVal n As long, _
    ByRef x As double, _
    ByRef fail As NagError _
   )


   Declare Sub c06gsc Lib "CLW3226DE_nag.dll" ( _
    ByVal m As long, _
    ByVal n As long, _
    ByRef x As double, _
    ByRef u As double, _
    ByRef v As double, _
    ByRef fail As NagError _
   )


   Declare Sub c06gzc Lib "CLW3226DE_nag.dll" ( _
    ByVal n As long, _
    ByRef trig As double, _
    ByRef fail As NagError _
   )


   Declare Sub c06pac Lib "CLW3226DE_nag.dll" ( _
    ByVal direct As Nag_TransformDirection, _
    ByRef x As double, _
    ByVal n As long, _
    ByRef fail As NagError _
   )


   Declare Sub c06pcc Lib "CLW3226DE_nag.dll" ( _
    ByVal direct As Nag_TransformDirection, _
    ByRef x As Complex, _
    ByVal n As long, _
    ByRef fail As NagError _
   )


   Declare Sub c06pfc Lib "CLW3226DE_nag.dll" ( _
    ByVal direct As Nag_TransformDirection, _
    ByVal ndim As long, _
    ByVal l As long, _
    ByRef nd As long, _
    ByVal n As long, _
    ByRef x As Complex, _
    ByRef fail As NagError _
   )


   Declare Sub c06pjc Lib "CLW3226DE_nag.dll" ( _
    ByVal direct As Nag_TransformDirection, _
    ByVal ndim As long, _
    ByRef nd As long, _
    ByVal n As long, _
    ByRef x As Complex, _
    ByRef fail As NagError _
   )


   Declare Sub c06psc Lib "CLW3226DE_nag.dll" ( _
    ByVal direct As Nag_TransformDirection, _
    ByVal n As long, _
    ByVal m As long, _
    ByRef x As Complex, _
    ByRef fail As NagError _
   )


   Declare Sub c06puc Lib "CLW3226DE_nag.dll" ( _
    ByVal direct As Nag_TransformDirection, _
    ByVal m As long, _
    ByVal n As long, _
    ByRef x As Complex, _
    ByRef fail As NagError _
   )


   Declare Sub c06pvc Lib "CLW3226DE_nag.dll" ( _
    ByVal m As long, _
    ByVal n As long, _
    ByRef x As double, _
    ByRef y As Complex, _
    ByRef fail As NagError _
   )


   Declare Sub c06pwc Lib "CLW3226DE_nag.dll" ( _
    ByVal m As long, _
    ByVal n As long, _
    ByRef y As Complex, _
    ByRef x As double, _
    ByRef fail As NagError _
   )


   Declare Sub c06pxc Lib "CLW3226DE_nag.dll" ( _
    ByVal direct As Nag_TransformDirection, _
    ByVal n1 As long, _
    ByVal n2 As long, _
    ByVal n3 As long, _
    ByRef x As Complex, _
    ByRef fail As NagError _
   )


   Declare Sub c06pyc Lib "CLW3226DE_nag.dll" ( _
    ByVal n1 As long, _
    ByVal n2 As long, _
    ByVal n3 As long, _
    ByRef x As double, _
    ByRef y As Complex, _
    ByRef fail As NagError _
   )


   Declare Sub c06pzc Lib "CLW3226DE_nag.dll" ( _
    ByVal n1 As long, _
    ByVal n2 As long, _
    ByVal n3 As long, _
    ByRef y As Complex, _
    ByRef x As double, _
    ByRef fail As NagError _
   )


   Declare Sub c06rec Lib "CLW3226DE_nag.dll" ( _
    ByVal m As long, _
    ByVal n As long, _
    ByRef x As double, _
    ByRef fail As NagError _
   )


   Declare Sub c06rfc Lib "CLW3226DE_nag.dll" ( _
    ByVal m As long, _
    ByVal n As long, _
    ByRef x As double, _
    ByRef fail As NagError _
   )


   Declare Sub c06rgc Lib "CLW3226DE_nag.dll" ( _
    ByVal direct As Nag_TransformDirection, _
    ByVal m As long, _
    ByVal n As long, _
    ByRef x As double, _
    ByRef fail As NagError _
   )


   Declare Sub c06rhc Lib "CLW3226DE_nag.dll" ( _
    ByVal direct As Nag_TransformDirection, _
    ByVal m As long, _
    ByVal n As long, _
    ByRef x As double, _
    ByRef fail As NagError _
   )


' chapter c09

   Declare Sub c09aac Lib "CLW3226DE_nag.dll" ( _
    ByVal wavnam As Nag_Wavelet, _
    ByVal wtrans As Nag_WaveletTransform, _
    ByVal mode As Nag_WaveletMode, _
    ByVal n As long, _
    ByRef nwlmax As long, _
    ByRef nf As long, _
    ByRef nwc As long, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09abc Lib "CLW3226DE_nag.dll" ( _
    ByVal wavnam As Nag_Wavelet, _
    ByVal wtrans As Nag_WaveletTransform, _
    ByVal mode As Nag_WaveletMode, _
    ByVal m As long, _
    ByVal n As long, _
    ByRef nwlmax As long, _
    ByRef nf As long, _
    ByRef nwct As long, _
    ByRef nwcn As long, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09acc Lib "CLW3226DE_nag.dll" ( _
    ByVal wavnam As Nag_Wavelet, _
    ByVal wtrans As Nag_WaveletTransform, _
    ByVal mode As Nag_WaveletMode, _
    ByVal m As long, _
    ByVal n As long, _
    ByVal fr As long, _
    ByRef nwlmax As long, _
    ByRef nf As long, _
    ByRef nwct As long, _
    ByRef nwcn As long, _
    ByRef nwcfr As long, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09bac Lib "CLW3226DE_nag.dll" ( _
    ByVal wavnam As Nag_Wavelet, _
    ByVal wparam As long, _
    ByVal n As long, _
    ByRef x As double, _
    ByVal nscal As long, _
    ByRef scales As long, _
    ByRef c As double, _
    ByRef fail As NagError _
   )


   Declare Sub c09cac Lib "CLW3226DE_nag.dll" ( _
    ByVal n As long, _
    ByRef x As double, _
    ByVal lenc As long, _
    ByRef ca As double, _
    ByRef cd As double, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09cbc Lib "CLW3226DE_nag.dll" ( _
    ByVal lenc As long, _
    ByRef ca As double, _
    ByRef cd As double, _
    ByVal n As long, _
    ByRef y As double, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09ccc Lib "CLW3226DE_nag.dll" ( _
    ByVal n As long, _
    ByRef x As double, _
    ByVal lenc As long, _
    ByRef c As double, _
    ByVal nwl As long, _
    ByRef dwtlev As long, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09cdc Lib "CLW3226DE_nag.dll" ( _
    ByVal nwlinv As long, _
    ByVal lenc As long, _
    ByRef c As double, _
    ByVal n As long, _
    ByRef y As double, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09dac Lib "CLW3226DE_nag.dll" ( _
    ByVal n As long, _
    ByRef x As double, _
    ByVal lenc As long, _
    ByRef ca As double, _
    ByRef cd As double, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09dbc Lib "CLW3226DE_nag.dll" ( _
    ByVal lenc As long, _
    ByRef ca As double, _
    ByRef cd As double, _
    ByVal n As long, _
    ByRef y As double, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09dcc Lib "CLW3226DE_nag.dll" ( _
    ByVal n As long, _
    ByRef x As double, _
    ByVal keepa As Nag_WaveletCoefficients, _
    ByVal lenc As long, _
    ByRef c As double, _
    ByVal nwl As long, _
    ByRef na As long, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09ddc Lib "CLW3226DE_nag.dll" ( _
    ByVal nwlinv As long, _
    ByVal keepa As Nag_WaveletCoefficients, _
    ByVal lenc As long, _
    ByRef c As double, _
    ByVal n As long, _
    ByRef y As double, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09eac Lib "CLW3226DE_nag.dll" ( _
    ByVal m As long, _
    ByVal n As long, _
    ByRef a As double, _
    ByVal lda As long, _
    ByRef ca As double, _
    ByVal ldca As long, _
    ByRef ch As double, _
    ByVal ldch As long, _
    ByRef cv As double, _
    ByVal ldcv As long, _
    ByRef cd As double, _
    ByVal ldcd As long, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09ebc Lib "CLW3226DE_nag.dll" ( _
    ByVal m As long, _
    ByVal n As long, _
    ByRef ca As double, _
    ByVal ldca As long, _
    ByRef ch As double, _
    ByVal ldch As long, _
    ByRef cv As double, _
    ByVal ldcv As long, _
    ByRef cd As double, _
    ByVal ldcd As long, _
    ByRef b As double, _
    ByVal ldb As long, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09ecc Lib "CLW3226DE_nag.dll" ( _
    ByVal m As long, _
    ByVal n As long, _
    ByRef a As double, _
    ByVal lda As long, _
    ByVal lenc As long, _
    ByRef c As double, _
    ByVal nwl As long, _
    ByRef dwtlvm As long, _
    ByRef dwtlvn As long, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09edc Lib "CLW3226DE_nag.dll" ( _
    ByVal nwlinv As long, _
    ByVal lenc As long, _
    ByRef c As double, _
    ByVal m As long, _
    ByVal n As long, _
    ByRef b As double, _
    ByVal ldb As long, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09eyc Lib "CLW3226DE_nag.dll" ( _
    ByVal ilev As long, _
    ByVal cindex As long, _
    ByVal lenc As long, _
    ByRef c As double, _
    ByRef d As double, _
    ByVal pdd As long, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09ezc Lib "CLW3226DE_nag.dll" ( _
    ByVal ilev As long, _
    ByVal cindex As long, _
    ByVal lenc As long, _
    ByRef c As double, _
    ByRef d As double, _
    ByVal pdd As long, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09fac Lib "CLW3226DE_nag.dll" ( _
    ByVal m As long, _
    ByVal n As long, _
    ByVal fr As long, _
    ByRef a As double, _
    ByVal lda As long, _
    ByVal sda As long, _
    ByVal lenc As long, _
    ByRef c As double, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09fbc Lib "CLW3226DE_nag.dll" ( _
    ByVal m As long, _
    ByVal n As long, _
    ByVal fr As long, _
    ByVal lenc As long, _
    ByRef c As double, _
    ByRef b As double, _
    ByVal ldb As long, _
    ByVal sdb As long, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09fcc Lib "CLW3226DE_nag.dll" ( _
    ByVal m As long, _
    ByVal n As long, _
    ByVal fr As long, _
    ByRef a As double, _
    ByVal lda As long, _
    ByVal sda As long, _
    ByVal lenc As long, _
    ByRef c As double, _
    ByVal nwl As long, _
    ByRef dwtlvm As long, _
    ByRef dwtlvn As long, _
    ByRef dwtlvfr As long, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09fdc Lib "CLW3226DE_nag.dll" ( _
    ByVal nwlinv As long, _
    ByVal lenc As long, _
    ByRef c As double, _
    ByVal m As long, _
    ByVal n As long, _
    ByVal fr As long, _
    ByRef b As double, _
    ByVal ldb As long, _
    ByVal sdb As long, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09fyc Lib "CLW3226DE_nag.dll" ( _
    ByVal ilev As long, _
    ByVal cindex As long, _
    ByVal lenc As long, _
    ByRef c As double, _
    ByRef d As double, _
    ByVal ldd As long, _
    ByVal sdd As long, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


   Declare Sub c09fzc Lib "CLW3226DE_nag.dll" ( _
    ByVal ilev As long, _
    ByVal cindex As long, _
    ByVal lenc As long, _
    ByRef c As double, _
    ByRef d As double, _
    ByVal ldd As long, _
    ByVal sdd As long, _
    ByRef icomm As long, _
    ByRef fail As NagError _
   )


